## wavpackdec wavpackdec |

## Types and Values

struct | GstWavpackDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioDecoder
                        ╰── GstWavpackDec

## Description

WavpackDec decodes framed (for example by the WavpackParse element) Wavpack streams and decodes them to raw audio.

Wavpack is an open-source

audio codec that features both lossless and lossy encoding.

### Example launch line

    1
    gst-launch-1.0 filesrc location=test.wv ! wavpackparse ! wavpackdec ! audioconvert ! audioresample ! autoaudiosink

This pipeline decodes the Wavpack file test.wv into raw audio buffers and tries to play it back using an automatically found audio sink.

## Synopsis

### Element Information

plugin | wavpack
author | Arwed v. Merkatz <v.merkatz@gmx.net>, Sebastian Dröge <slomo@circular-chaos.org>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-wavpack, depth=(int)[ 1, 32 ], channels=(int)[ 1, 8 ], rate=(int)[ 6000, 192000 ], framed=(boolean)true

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S8, layout=(string)interleaved, channels=(int)[ 1, 8 ], rate=(int)[ 6000, 192000 ]
| audio/x-raw, format=(string)S16LE, layout=(string)interleaved, channels=(int)[ 1, 8 ], rate=(int)[ 6000, 192000 ]
| audio/x-raw, format=(string)S32LE, layout=(string)interleaved, channels=(int)[ 1, 8 ], rate=(int)[ 6000, 192000 ]

## Functions

## Types and Values

### struct GstWavpackDec

    struct GstWavpackDec;